Bug 165267 - CAPP complliance problems: audit_panic() missing on allocation failure in file system watches
CAPP complliance problems: audit_panic() missing on allocation failure in fil...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks: 145411
  Show dependency treegraph
 
Reported: 2005-08-06 05:12 EDT by David Woodhouse
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-19 16:01:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix (1.19 KB, patch)
2005-08-06 05:20 EDT, David Woodhouse
no flags Details | Diff

  None (edit)
Description David Woodhouse 2005-08-06 05:12:57 EDT
If allocation of an aux record for reporting a file system watch fails, we
shouldn't drop it silently -- we should call the audit_panic() function.
Comment 1 David Woodhouse 2005-08-06 05:20:43 EDT
Created attachment 117507 [details]
fix

Note You need to log in before you can comment on or make changes to this bug.